/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 *   Julia Mineeva <julia.mineeva@osinit.ru>
 *   Evgeniy Augin <evgeniy.augin@osinit.ru>
 *   Ivan Kulkov   <ivan.kulkov@osinit.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef __videoeventwidget_h_
#define __videoeventwidget_h_

#include "activityeventwidget.h"

#include <kfileitem.h>
#include <qpixmap.h>
#include <QImage>



class QVideoEventWidget : public QActivityEventWidget
{
  Q_OBJECT

public:
  QVideoEventWidget(QGraphicsItem* parent = 0, Qt::WindowFlags wFlags = 0);
  virtual ~QVideoEventWidget();
  void init(ActivityEvent* event, const QRectF &widgetRect);
  void paint(QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget);

protected:
  void getEventThumb(ActivityEvent* event);

public slots:
  void showPreview(const KFileItem&, const QPixmap&);
  void setNullIcon(const KFileItem&);

private:
  QPixmap             m_playPic;
  QImage              m_image;

};


#endif // __videoeventwidget_h_
